> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinvoyage.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bank Account

> Retrieve one external bank account for the authenticated organization's verified Bridge customer



## OpenAPI

````yaml https://api.coinvoyage.io/v2/openapi.json get /bank-accounts/{bank_account_id}
openapi: 3.1.0
info:
  title: CoinVoyage API
  description: Cryptocurrency payment processing API
  version: 2.2.0
servers:
  - url: https://api.coinvoyage.io/v2
security: []
paths:
  /bank-accounts/{bank_account_id}:
    get:
      tags:
        - off-ramping
      summary: Get Bank Account
      description: >-
        Retrieve one external bank account for the authenticated organization's
        verified Bridge customer
      operationId: getBankAccount
      parameters:
        - description: >-
            Authorization header format:
            'APIKey=<api_key>,signature=<signature>,timestamp=<unix_timestamp>'
          in: header
          name: Authorization-Signature
          required: true
          schema:
            type: string
        - in: path
          name: bank_account_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BankAccountDetails'
          description: Bank account details
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized - Authentication required
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found - Organization verification not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity - Bridge external account request failed
      security:
        - Authorization: []
components:
  schemas:
    BankAccountDetails:
      properties:
        id:
          type: string
        account_name:
          type:
            - string
            - 'null'
        bank_name:
          type:
            - string
            - 'null'
        account_type:
          $ref: '#/components/schemas/BankAccountType'
        account_owner_type:
          anyOf:
            - $ref: '#/components/schemas/AccountOwnerType'
            - type: 'null'
        account_details:
          $ref: '#/components/schemas/AccountDetails'
        currency:
          $ref: '#/components/schemas/BankAccountCurrency'
        active:
          type: boolean
        beneficiary_address_valid:
          type:
            - boolean
            - 'null'
        deactivation_reason:
          type:
            - string
            - 'null'
        deactivation_details:
          type:
            - string
            - 'null'
      required:
        - id
        - account_type
        - account_details
        - currency
        - active
      type: object
    ErrorResponse:
      example:
        code: 400
        error: Bad Request
        message: Invalid request parameters
      properties:
        error:
          example: Bad Request
          type: string
        message:
          example: Invalid request parameters
          type: string
        code:
          example: 400
          format: int64
          type: integer
        details:
          anyOf:
            - type: string
            - type: number
            - type: object
      required:
        - error
        - message
        - code
      type: object
    BankAccountType:
      description: 'Bank account rail: us (ACH), iban, swift, clabe, pix, or gb (FPS)'
      enum:
        - us
        - iban
        - swift
        - clabe
        - pix
        - gb
      type: string
    AccountOwnerType:
      description: Whether the bank account owner is an individual or business
      enum:
        - individual
        - business
      type: string
    AccountDetails:
      properties:
        bank_name:
          type:
            - string
            - 'null'
        routing_number:
          type:
            - string
            - 'null'
        sort_code:
          type:
            - string
            - 'null'
        account_number:
          type: string
        checking_or_savings:
          type:
            - string
            - 'null'
        bic:
          type:
            - string
            - 'null'
        pix_key:
          type:
            - string
            - 'null'
      required:
        - account_number
      type: object
    BankAccountCurrency:
      description: Currency used by the external bank account
      enum:
        - usd
        - eur
        - mxn
        - brl
        - gbp
      type: string

````